package domain

type AlibabaHmMarketingItempoolAdditemItemPoolSku struct {
	/*
	   商品的skuCode     */
	SkuCode *string `json:"sku_code,omitempty" `

	/*
	   逻辑分组ID     */
	LogicGroupNumber *int64 `json:"logic_group_number,omitempty" `

	/*
	   是否为一口价     */
	IsFixPrice *bool `json:"is_fix_price,omitempty" `

	/*
	   一口价金额【分】     */
	FixPrice *int64 `json:"fix_price,omitempty" `

	/*
	   是否为商品折扣     */
	IsDiscountRate *bool `json:"is_discount_rate,omitempty" `

	/*
	   折扣率，300=3折     */
	DiscountRate *int64 `json:"discount_rate,omitempty" `

	/*
	   是否为减钱     */
	IsDecreaseMoney *bool `json:"is_decrease_money,omitempty" `

	/*
	   减钱【元】     */
	DecreaseMoney *int64 `json:"decrease_money,omitempty" `
}

func (s *AlibabaHmMarketingItempoolAdditemItemPoolSku) SetSkuCode(v string) *AlibabaHmMarketingItempoolAdditemItemPoolSku {
	s.SkuCode = &v
	return s
}
func (s *AlibabaHmMarketingItempoolAdditemItemPoolSku) SetLogicGroupNumber(v int64) *AlibabaHmMarketingItempoolAdditemItemPoolSku {
	s.LogicGroupNumber = &v
	return s
}
func (s *AlibabaHmMarketingItempoolAdditemItemPoolSku) SetIsFixPrice(v bool) *AlibabaHmMarketingItempoolAdditemItemPoolSku {
	s.IsFixPrice = &v
	return s
}
func (s *AlibabaHmMarketingItempoolAdditemItemPoolSku) SetFixPrice(v int64) *AlibabaHmMarketingItempoolAdditemItemPoolSku {
	s.FixPrice = &v
	return s
}
func (s *AlibabaHmMarketingItempoolAdditemItemPoolSku) SetIsDiscountRate(v bool) *AlibabaHmMarketingItempoolAdditemItemPoolSku {
	s.IsDiscountRate = &v
	return s
}
func (s *AlibabaHmMarketingItempoolAdditemItemPoolSku) SetDiscountRate(v int64) *AlibabaHmMarketingItempoolAdditemItemPoolSku {
	s.DiscountRate = &v
	return s
}
func (s *AlibabaHmMarketingItempoolAdditemItemPoolSku) SetIsDecreaseMoney(v bool) *AlibabaHmMarketingItempoolAdditemItemPoolSku {
	s.IsDecreaseMoney = &v
	return s
}
func (s *AlibabaHmMarketingItempoolAdditemItemPoolSku) SetDecreaseMoney(v int64) *AlibabaHmMarketingItempoolAdditemItemPoolSku {
	s.DecreaseMoney = &v
	return s
}
